% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/acd.R
\name{apply_acd}
\alias{apply_acd}
\title{Function to apply Approximate Cumulative Distribution (ACD)}
\usage{
apply_acd(x, beta0, beta1, power, shift, scale, ...)
}
\arguments{
\item{x}{a numeric vector.}

\item{beta0, beta1}{each a numeric value, representing the coefficients of
the FP1 model for the ACD transformation.}

\item{power}{a numeric value, estimated power to be used in the FP1 model for
the ACD transformation.}

\item{shift}{a numeric value that is used to shift the values of \code{x} to
positive values.}

\item{scale}{a numeric value used to scale \code{x}.}

\item{...}{not used.}
}
\value{
The transformed input vector \code{x}.
}
\description{
Applies the acd transformation as outlined in Royston (2014) and Royston and
Sauerbrei (2016).
Designed to work with the output of \code{\link[=fit_acd]{fit_acd()}}, Please refer to the corresponding
documentation for more details.
}
