% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/generation_powers.R
\name{generate_combinations_with_replacement}
\alias{generate_combinations_with_replacement}
\title{Helper function to generate combinations with replacement}
\usage{
generate_combinations_with_replacement(x, k)
}
\arguments{
\item{x}{vector of elements to choose from.}

\item{k}{number of elements to choose.}
}
\value{
A m x k matrix, where m is the number of combinations.
}
\description{
This very simple helper generates combinations with replacement.
}
\details{
This is replicating the functionality from \code{arrangements::combinations} with
\code{replace = TRUE}. Note that base R function \code{utils::combn} only returns
combinations without replacement, thus pairs like (0, 0) are not in the
output.

Note that this function is extremely inefficient and only intended to be
used with small use cases, i.e. small k. This is typically the case in the
context of MFP, but a warning is given if this is not the case since the
algorithm may take a while to compute the combinations, and even longer
to do model selection.
}
