% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/predict.mfp2.R
\name{prepare_newdata_for_predict}
\alias{prepare_newdata_for_predict}
\title{Helper function to prepare newdata for predict function}
\usage{
prepare_newdata_for_predict(
  object,
  newdata,
  strata = NULL,
  offset = NULL,
  apply_pre = TRUE,
  apply_center = TRUE,
  check_binary = TRUE
)
}
\arguments{
\item{object}{fitted \code{mfp2} model object.}

\item{newdata}{dataset to be prepared for predictions. Its columns can be
a subset of the columns used for fitting the model.}

\item{strata, offset}{passed from \code{\link[=predict.mfp2]{predict.mfp2()}}.}

\item{apply_pre}{logical indicating whether the fitted pre-transformation
is applied or not.}

\item{apply_center}{logical indicating whether the fitted centers are applied
after transformation or not.}

\item{check_binary}{passed to \code{\link[=transform_vector_fp]{transform_vector_fp()}}.}
}
\value{
A dataframe of transformed newdata
}
\description{
To be used in \code{\link[=predict.mfp2]{predict.mfp2()}}.
}
